/*=======================================================*/
/*  TVWFATTR.C                                           */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVwin_frattr   set window's frame attribute           */
/*   Ralf Brown 4/15/88                                  */
/*=======================================================*/

void pascal TVwin_frattr(OBJECT win,int attr)
{
   static BYTE stream[] = { S_WINDOW(4), 0xED, 0x90, 0x88, 0 } ;

/*   stream[5] = 0x90 ; */ /* don't know what bit flags stand for yet */
/*   stream[6] = 0x88 ; */ /* fill w/ single char, start at 0 for 8 values */
   stream[7] = attr ;
   TVwin_stream(win,stream) ;
}

/* End of TVWFATTR.C */
